EDIT - bug #8547

Default type of a newly created inReference should depend on the type of the reference
09/17/2019 10:18 AM - Katja Luther
Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

mail from WB:

Hallo,

ich habe ausgehend vom Details view eine neue NomReferenz (Artikel) eingegeben. Dabei musste ich auch das Journal neu
eingeben. Nach der Rickkehr aus der Journal Eingabe erscheint der gesamte Eintrag im Reference Editor im Suchfeld, aber nicht in
der Liste. Wenn ich dann Ok sage, erscheint er auch nicht im Details view und der Eintrag im Name Editor hat auch kein Sternchen —
kann also auch nicht speichern. Nach einem Refresh des Details View ist der Eintrag auch nicht da. Wenn ich dann aber die
NomRef-Auswahl wieder aufrufe, ist der komplette Eintrag in der Liste und kann normal eingetragen werden.

Herzlichen Gruf3

Walter

Hallo,

ich habe das Journal aus einer Neueingabe eines Artikels neu eingegeben. Nach Abschluss der Journal-Eingabe und der
Artikeleingabe war das Suchfeld mit dem vollst. Artikel gefullt, nicht aber die Auswabhlliste darunter. Die Eingabe konnte also dann
nicht in den Details-View des Namens Ubernommen werden. Artikel und Journal wurden aber korrekt abgespeichert, sie konnten mit
einer neuen Auswahl aus dem Details-View dann eingetragen werden.

HG

w

Related issues:
Copied to EDIT - feature request #9342: Only show specific reference types fo... New

Associated revisions

Revision 2d07da9a - 09/28/2020 02:40 PM - Katja Luther
ref #8547: default type of inreference depending on ref type

Revision 2c0bb8e3 - 12/03/2020 02:23 PM - Andreas Muller

ref #8547 make ReferenceType.inReferenceContraints() a list

Revision 46418777 - 12/03/2020 02:25 PM - Andreas Miiller

ref #8547 make ReferenceType.inReferenceContraints() a list (adapt vaadin)

Revision 76ee473f - 12/03/2020 05:45 PM - Andreas Miiller

ref #8547 add inreference type for Proceedings

History

#1 - 09/17/2019 10:42 AM - Katja Luther

this problem appears only when the newly created in-reference is not of the type journal.

#2 - 09/17/2019 01:08 PM - Katja Luther

- Subject changed from newly created journal does not appear in selection dialog to newly created article with new journal does not appear in selection
dialog

- Description updated

#3 - 09/18/2019 05:01 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11
#4 - 10/25/2019 03:27 PM - Andreas Miiller
- Priority changed from New to Highest

#5 - 10/25/2019 03:35 PM - Katja Luther
- Status changed from New to Feedback

- Assignee changed from Katja Luther to Andreas Miiller
Katja Luther wrote:
this problem appears only when the newly created in-reference is not of the type journal.
| think the problem is that the selection dialog for the in reference of an article shows only journals and when the newly created reference is not of this
type it does not show up.
Could you please check, if this is right
#6 - 10/25/2019 04:28 PM - Andreas Miiller
Katja Luther wrote:
Katja Luther wrote:
this problem appears only when the newly created in-reference is not of the type journal.
| think the problem is that the selection dialog for the in reference of an article shows only journals and when the newly created reference is not
of this type it does not show up.
Could you please check, if this is right
But do we really allow to enter some other ref type if article is the section reference? We shouldn't | think. Definetely by default Journal should be
preselected. But maybe changing ref type should not be possible at all in this case.
Also | do not really think that Walter did choose something else. But maybe, if General is stil the default, in this case he might have forgotten to

change the type.
| added Walter to cc so he can comment on this.

#7 - 10/25/2019 04:33 PM - Andreas Miiller
- Status changed from Feedback to New

- Assignee changed from Andreas Muiller to Katja Luther

Is there a reason why you did set as "Feedback" on me?

#8 - 11/05/2019 02:10 PM - Katja Luther

- Target version changed from Release 5.11 to Release 5.12

#9 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#10 - 03/09/2020 04:26 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#11 - 03/31/2020 11:15 AM - Katja Luther

- Target version changed from Release 5.14 to Release 5.15

#12 - 04/22/2020 10:15 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#13 - 09/28/2020 02:44 PM - Katja Luther

- Subject changed from newly created article with new journal does not appear in selection dialog to Default type of a newly created inReference
should be depend on the type of the reference

- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

The default type of the newly created inReference depends of the reference now. Please review.
Updated the title.

#14 - 09/28/2020 05:00 PM - Andreas Miiller

- Subject changed from Default type of a newly created inReference should be depend on the type of the reference to Default type of a newly created
inReference should depend on the type of the reference

#15 - 09/28/2020 05:01 PM - Andreas Miiller
- % Done changed from 0 to 50

#16 - 11/27/2020 05:25 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

For "Section" the type is "InProceedings" now which is generally false. We should use "General" as before or even better force the user to explicitly
choose a type as discussed recently in other context.

#17 - 11/27/2020 05:26 PM - Andreas Miiller
| got the following NPE when playing around with the dialog:

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/reference.service
last remote request client time : 2020-11-27T17:22:52.882
last remote request response header time : Fri, 27 Nov 2020 17:22:52 GMT

client
login

editor
server
schema

error time : 2020-11-27T17:22:54.278
admin
version : 5.18.0.202011270848
test.e-taxonomy.eu (edit-test) / rem_conf_am
version : 5.18.5.0.20201103

os : Windows Server 2012 R2 6.3 amdo64

java

1.8.0_121

java.lang.NullPointerException

at

eu.etaxonomy.taxeditor.ui.dialog.selection.ReferenceSelectionDialog.getNewEntityWizard (ReferenceSelecti

onDialog. java:258)

at

eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog$2.widgetSelected (

AbstractFilteredCdmResourceSelectionDialog. java:443)

at
at
at
at
at
at
at
at
at

org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3824)
org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
org.eclipse.jface.window.Window.open (Window. java:794)
eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getUuidAndTitleCa

cheSelectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:152)

at

eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSelectionFromD

ialog (AbstractFilteredCdmResourceSelectionDialog. java:133)

at

eu.etaxonomy.taxeditor.ui.dialog.selection.NomenclaturalReferenceSelectionDialog.select (NomenclaturalRe

ferenceSelectionDialog. java:127)

at

eu.etaxonomy.taxeditor.ui.dialog.selection.SelectionDialogFactory.getSelectionFromDialog (SelectionDialo

gFactory. java:98)

at
39)
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement.widgetSelected (EntitySelectionElement. java:2

org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3824)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

#18 - 11/27/2020 05:33 PM - Andreas Miiller
Andreas Muller wrote:

For "Section" the type is "InProceedings" now which is generally false. We should use "General" as before or even better force the user to
explicitly choose a type as discussed recently in other context.

Also Proceedings have "General" but should have "Print Series" accoring to Ul interface.

And for WebPage | would again take WebPage as default. Usually this is a specific page which is part of a more general WebPage. It also could be
database but this is up to the user to decide. Not so often used anyway.

#19 - 11/30/2020 02:16 PM - Katja Luther

The type of the in-reference depends on ReferenceType.inReferenceContraints, we should add the constraints mentioned above.

#20 - 11/30/2020 02:33 PM - Katja Luther

Andreas Muller wrote:

| got the following NPE when playing around with the dialog:

This should be fixed now.

#21 - 11/30/2020 02:47 PM - Katja Luther

Katja Luther wrote:

The type of the in-reference depends on ReferenceType.inReferenceContraints, we should add the constraints mentioned above.

AM:

Hallo, diese Methode ist von Andreas K. angelegt worden, daher misste er da auch nochmal drauf schauen. Kritisch finde ich das handling von Book
in Journal. Mit diesen extremen Ausnahmen handelt man sich eine Reihe Probleme ein. Ich denke da macht es mehr Sinn, diese Ausnahme
irgendwie anders zu behandelt (z.B. doch als Article mit entsprechender Annotation oder als Book in PrintSeries) oder so, aber das miisste man mit
den Taxonomen nochmal besprechen und durchdenken, was das fir Probleme bereitet in Eingabe und Ausgabe Uls sowie beim Formattieren. AuB3er
anscheinend Henning hat meines Wissens noch niemand eine solche Andorderung gehabt.

Auch sollte man bei >1 Rickgabetypen driiber nachdenken, ob das nicht zumindeste eine Liste sein sollte, um eine gewisse Wertung zu haben. Falls
wir bei Journal als mdglichkeit bleiben, ware es ja extrem wichtig, PrintSeries aber als den absoluten Standard festzulegen.

Kannst du das ins Ticket riberziehen? Hier geht es schnell verloren.

AK:

ich kenne &hnliche Falle auch aus der Zoologie (90er Jahre) allerdings weifl3 ich nicht welchem Typ diese Preprint-Ausziige aus dem Journal in
diesen Féllen hatten. Ob man diese Biicher als Article handhaben kann hangt natirtlich davon ab, welche Metadaten gebraucht werden, Article ist da
sicherlich nicht ausreichend.

AM:

Das stimmt wahrscheinlich. Im exakten Sinne sind sie aber auch nicht in einem Journal veréffentlicht. Dann passt evtl. besser die PrintSeries, welcher
ja ein loser Zusammenhang ist.

Aber das sollten wir unbedingt die User nochmal fragen, insbesondere auch Leute wie Norbert, der sich ja mit sowas sehr gut auskennt.

... also vielleicht mussen wir auch wirklich Journal fiir diesen Typ zusétzlich zulassen, wenn das wirklich éfters vorkommt.

AK:

Ich denke dass man die Definition von Journal weiter fassen muss. Ein Journal kann in seltenen Féllen auch ein preprint Excerpt als Blchlein
herausgeben. Wobei mit Biichlein eher ein eingestandiges kleines Heftchen, als ein dicker Schinken, gemeint ist. Vielleicht liegt auch hierin die
Unterscheidung Biichlein vs Buch?
#22 - 12/03/2020 02:28 PM - Andreas Miiller

ReferenceType.inReferenceContraints() is a list now, so the first element in the list is the default preferred type. Additionally it should be used in the
TaxEditor for filling the combobox, but don't forget to always also add "Generic".

#23 - 12/03/2020 05:49 PM - Andreas Miiller

- Copied to feature request #9342: Only show specific reference types for inreferences added

#24 - 12/03/2020 05:52 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

This is fixed as far as now by default the most likely reference type is now prefilled for inreferences.

There is a follow up ticket to fill the combo box only with possible values for inreference types: #9342
